package sudoku;
import java.util.*;
public class SudokuRegionSolver extends SudokuSolver {

    Vector<Set<Integer>> regionMoves;

    public SudokuRegionSolver(int size) {super (size);}
    public SudokuRegionSolver(int size, int x, int y) {
	super (size,x,y);
	initializeRegions();
    }

    public void initializeRegions(){
	int boardSize = getBoardSize();
	regionMoves = new Vector<Set<Integer>>(boardSize);
	for (int i = 0; i < boardSize; i++) {
	    HashSet<Integer> rs = new HashSet<Integer>();
	    rs.addAll(getAllMoves());
	    regionMoves.add(rs);
	}
    }

    // TODO: getRegion, isValidMove, move, undo
}

