package nim;

public interface NimInterface {
    public int getMinStones ();
    public int getMaxStones ();
    public int getRows ();
    public int getTotal();

    public GameState evaluateGame();
    public GameState max(GameState g1, GameState g2);
    public GameState negate(GameState g);
        
    public int getStones(int row);
    public void move(int row, int stones);
    public void printMove(int row, int stones);
    public void undo(int row, int stones);
    public GameState bestResult();
    public void bestMove();
}